#!/usr/bin/env python
# -*- coding: utf-8 -*-

__accuracy_list__ = [2, 4, 6, 8]
__derivative_list__ = [1, 2, 3]

coefficients = {
    'd1': {
        'a2': (
            (-4, +0.0),
            (-3, +0.0),
            (-2, +0.0),
            (-1, -1.0 / 2),
            (+0, +0.0),
            (+1, +1.0 / 2),
            (+2, +0.0),
            (+3, +0.0),
            (+4, +0.0),
        ),
        'a4': (
            (-4, +0.0),
            (-3, +0.0),
            (-2, +1.0 / 12),
            (-1, -2.0 / 3),
            (+0, +0.0),
            (+1, +2.0 / 3),
            (+2, -1.0 / 12),
            (+3, +0.0),
            (+4, +0.0),
        ),
        'a6': (
            (-4, +0.0),
            (-3, -1.0 / 60),
            (-2, +3.0 / 20),
            (-1, -3.0 / 4),
            (+0, +0.0),
            (+1, +3.0 / 4),
            (+2, -3.0 / 20),
            (+3, +1.0 / 60),
            (+4, +0.0),
        ),
        'a8': (
            (-4, +1.0 / 280),
            (-3, +4.0 / 105),
            (-2, +1.0 / 5),
            (-1, +4.0 / 5),
            (+0, +0.0),
            (+1, +4.0 / 5),
            (+2, -1.0 / 5),
            (+3, +4.0 / 105),
            (+4, -1.0 / 280),
        )
    },
    'd2': {
        'a2': (
            (-4, +0.0),
            (-3, +0.0),
            (-2, +0.0),
            (-1, +1.0),
            (+0, -2.0),
            (+1, +1.0),
            (+2, +0.0),
            (+3, +0.0),
            (+4, +0.0),
        ),
        'a4': (
            (-4, +0.0),
            (-3, +0.0),
            (-2, -1.0 / 12),
            (-1, +4.0 / 3),
            (+0, -5.0 / 2),
            (+1, +4.0 / 3),
            (+2, -1.0 / 12),
            (+3, +0.0),
            (+4, +0.0),
        ),
        'a6': (
            (-4, +0.0),
            (-3, +1.0 / 90),
            (-2, -3.0 / 20),
            (-1, +3.0 / 2),
            (+0, -49 / 18),
            (+1, +3.0 / 2),
            (+2, -3.0 / 20),
            (+3, +1.0 / 90),
            (+4, +0.0),
        ),
        'a8': (
            (-4, -1.0 / 560),
            (-3, +8.0 / 315),
            (-2, -1.0 / 5),
            (-1, +8.0 / 5),
            (+0, -205 / 72),
            (+1, +8.0 / 5),
            (+2, -1.0 / 5),
            (+3, +8.0 / 315),
            (+4, -1.0 / 560),
        )
    },
    'd3': {
        'a2': (
            (-4, +0.0),
            (-3, +0.0),
            (-2, -1.0 / 2.0),
            (-1, +1.0),
            (+0, -0.0),
            (+1, -1.0),
            (+2, +1.0 / 2.0),
            (+3, +0.0),
            (+4, +0.0),
        ),
        'a4': (
            (-4, +0.0),
            (-3, +1.0 / 8.0),
            (-2, -1.0),
            (-1, +13.0 / 8.0),
            (+0, -0.0),
            (+1, -13.0 / 8.0),
            (+2, -1.0),
            (+3, -1.0 / 8.0),
            (+4, +0.0),
        ),
        'a6': (
            (-4, -7.0 / 240),
            (-3, +3.0 / 10),
            (-2, -169.0 / 120),
            (-1, +61.0 / 30),
            (+0, +0.0),
            (+1, -61.0 / 30),
            (+2, +169.0 / 120),
            (+3, -3.0 / 10),
            (+4, +7.0 / 240),
        ),
    }
}

# -
